MapMouseEvent (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class MapMouseEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.ComponentEvent
                  java.awt.event.InputEvent
                      java.awt.event.MouseEvent
                          com.bbn.openmap.event.MapMouseEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MapMouseEvent

extends java.awt.event.MouseEvent

MouseEvent extension and wrapper that provides the additional capability to get a lat/lon translation for the x,y location for the MouseEvent if the source is a MapBean, and also to get a handle to the MapMouseMode that is currently active and distributing the MouseEvents.

See Also:
  Serialized Form

Field Summary
`protected MapBean` | `map`
`protected MapMouseMode` | `mapMouseMode`

Fields inherited from class java.awt.event.MouseEvent
`BUTTON1, BUTTON2, BUTTON3, MOUSE_CLICKED, MOUSE_DRAGGED, MOUSE_ENTERED, MOUSE_EXITED, MOUSE_FIRST, MOUSE_LAST, MOUSE_MOVED, MOUSE_PRESSED, MOUSE_RELEASED, MOUSE_WHEEL, NOBUTTON`

Fields inherited from class java.awt.event.InputEvent
`ALT_DOWN_MASK, ALT_GRAPH_DOWN_MASK, ALT_GRAPH_MASK, ALT_MASK, BUTTON1_DOWN_MASK, BUTTON1_MASK, BUTTON2_DOWN_MASK, BUTTON2_MASK, BUTTON3_DOWN_MASK, BUTTON3_MASK, CTRL_DOWN_MASK, CTRL_MASK, META_DOWN_MASK, META_MASK, SHIFT_DOWN_MASK, SHIFT_MASK`

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MapMouseEvent(MapMouseMode mode, java.awt.event.MouseEvent me)` Create a MapMouseEvent from a MapMouseMode that is distributing the event and the original MouseEvent delivered from a source component, most likely a MapBean.

Method Summary
`java.awt.geom.Point2D` | `getLatLon()` Get the Lat/Lon for the x/y point, in the current projection of the MapBean that sent the MouseEvent.
`MapBean` | `getMap()`
`MapMouseMode` | `getMapMouseMode()` Get the MapMouseMode that sent this event.
`java.awt.geom.Point2D` | `getProjectedLocation()` If the map isn't rotated, this provides the same coordinates as the getX() and getY() methods would.
`boolean` | `mapIsRotated()`
`java.lang.String` | `paramString()` Returns a String representation of this object.

Methods inherited from class java.awt.event.MouseEvent
`getButton, getClickCount, getLocationOnScreen, getMouseModifiersText, getPoint, getX, getXOnScreen, getY, getYOnScreen, isPopupTrigger, translatePoint`

Methods inherited from class java.awt.event.InputEvent
`consume, getModifiers, getModifiersEx, getModifiersExText, getWhen, isAltDown, isAltGraphDown, isConsumed, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`getID, setSource, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mapMouseMode

    protected MapMouseMode mapMouseMode

### map

    protected MapBean map

Constructor Detail

### MapMouseEvent

    public MapMouseEvent(MapMouseMode mode,
                         java.awt.event.MouseEvent me)

  Create a MapMouseEvent from a MapMouseMode that is distributing the event and the original MouseEvent delivered from a source component, most likely a MapBean.

Method Detail

### getLatLon

    public java.awt.geom.Point2D getLatLon()

  Get the Lat/Lon for the x/y point, in the current projection of the MapBean that sent the MouseEvent. Could be null if the MouseEvent did not originate from a MapBean.

### getProjectedLocation

    public java.awt.geom.Point2D getProjectedLocation()

  If the map isn't rotated, this provides the same coordinates as the getX() and getY() methods would. If the map is rotated, this method provides the projected coordinates of the MouseEvent, i.e. the location of the MouseEvent in the non-rotated pixel space of the projection.

  Returns:
    Point2D coordinates of location of mouse position

### getMapMouseMode

    public MapMouseMode getMapMouseMode()

  Get the MapMouseMode that sent this event. This is different than the source of the Event - the MapMouseMode is simply controlling the distribution of the events. May be null if there isn't a MapMouseMode delivering the MapMouseMode.

### paramString

    public java.lang.String paramString()

  Returns a String representation of this object.

  Overrides:
    `paramString` in class `java.awt.event.MouseEvent`

### getMap

    public MapBean getMap()

### mapIsRotated

    public boolean mapIsRotated()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details